[Testing Update] 2018-06-22 - Systemd v239, Pacman-Mirrors, Adapta, Firefox, Rebuilds

update
testing

#1

Hi community,

Welcome to another testing update. So what do we have with this one?

  • Systemd introduces v239 series. You may want to install systemd-resolvconf
  • Frede managed to improve pacman-mirrors
  • Stefano found time to update our Adapta theme series once again
  • Latest Firefox Development Edition got added
  • and the usual rebuilds/updates for Haskell and Python

We hope with all these changes Manjaro to be more efficient for you all.


If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts:


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.57
  • linux318 3.18.113 [EOL]
  • linux41 4.1.52 [EOL]
  • linux44 4.4.138
  • linux49 4.9.109
  • linux414 4.14.51
  • linux415 4.15.18 [EOL]
  • linux416 4.16.17
  • linux417 4.17.2
  • linux418 4.18-rc1
  • linux414-rt 4.14.40_rt30
  • linux416-rt 4.16.15_rt7

Package Updates (Fri Jun 22 21:46:52 CEST 2018)

Sync Packages

  • testing multilib x86_64: 6 new and 6 removed package(s)
  • testing extra x86_64: 22 new and 22 removed package(s)
  • testing community x86_64: 205 new and 205 removed package(s)

Overlay Packages

  • testing core x86_64: 5 new and 4 removed package(s)
  • testing multilib x86_64: 1 new and 6 removed package(s)
  • testing extra x86_64: 0 new and 6 removed package(s)
  • testing community x86_64: 9 new and 9 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-06-21           2018-06-22
-------------------------------------------------------------------------------
           adapta-black-breath-theme          3.93.1.18-1          3.93.1.22-1
             adapta-black-maia-theme          3.93.1.18-1          3.93.1.22-1
                 adapta-breath-theme          3.93.1.18-1          3.93.1.22-1
                   adapta-maia-theme          3.93.1.18-1          3.93.1.22-1
                                inxi             3.0.10-2             3.0.12-1
            manjaro-gnome-assets-dev           20180517-1           20180621-1
        manjaro-openbox-basic-config              1.18-12             1.18.1-2
              manjaro-openbox-config              1.18-12             1.18.1-2
                               tlpui        r84.ca97f57-2        r88.ab1183a-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-06-21           2018-06-22
-------------------------------------------------------------------------------
                                agda              2.5.4-4              2.5.4-6
                       cabal-install           2.2.0.0-22           2.2.0.0-23
                              catch2              2.2.2-1              2.2.3-1
                               cgrep            6.6.25-27            6.6.25-28
                             cryptol    2.5.0.20180515-24    2.5.0.20180515-25
                               darcs            2.14.0-43            2.14.0-45
                     deepin-anything              0.0.1-1              0.0.1-2
                   deepin-icon-theme           15.12.57-1           15.12.58-1
               deepin-qt5dxcb-plugin            1.1.8.8-2            1.1.8.8-3
                      emacs-php-mode             1.19.1-2             1.19.1-3
                         erlang-docs               20.3-1               21.0-1
           firefox-developer-edition             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-ach             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-af             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-an             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ar             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-as             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-ast             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-az             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-be             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-bg             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-bn-bd             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-bn-in             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-br             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-bs             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ca             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-cak             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-cs             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-cy             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-da             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-de             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-dsb             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-el             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-en-gb             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-en-us             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-en-za             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-eo             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-es-ar             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-es-cl             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-es-es             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-es-mx             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-et             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-eu             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-fa             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ff             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-fi             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-fr             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-fy-nl             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-ga-ie             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-gd             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-gl             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-gn             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-gu-in             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-he             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-hi-in             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-hr             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-hsb             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-hu             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-hy-am             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ia             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-id             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-is             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-it             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ja             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ka             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-kab             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-kk             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-km             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-kn             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ko             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-lij             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-lt             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-lv             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-mai             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-mk             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ml             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-mr             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ms             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-my             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-nb-no             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-ne-np             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-nl             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-nn-no             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-or             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-pa-in             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-pl             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-pt-br             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-pt-pt             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-rm             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ro             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ru             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-si             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-sk             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-sl             62.0b1-1             62.0b2-1
  firefox-developer-edition-i18n-son             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-sq             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-sr             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-sv-se             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ta             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-te             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-th             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-tr             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-uk             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-ur             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-uz             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-vi             62.0b1-1             62.0b2-1
   firefox-developer-edition-i18n-xh             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-zh-cn             62.0b1-1             62.0b2-1
firefox-developer-edition-i18n-zh-tw             62.0b1-1             62.0b2-1
  firefox-extension-https-everywhere          2018.6.13-1          2018.6.21-1
                            firejail             0.9.52-1             0.9.54-1
                         geckodriver             0.20.1-1             0.21.0-1
                           git-annex        6.20180529-16        6.20180529-18
                haskell-authenticate            1.3.4-116            1.3.4-117
                         haskell-aws              0.20-24              0.20-25
              haskell-binary-conduit               1.3-14               1.3-15
                     haskell-conduit           1.3.0.2-14            1.3.0.3-1
               haskell-conduit-extra             1.3.0-17             1.3.0-18
                   haskell-criterion           1.4.1.0-16           1.4.1.0-17
          haskell-cryptohash-conduit            0.1.1-177            0.1.1-178
          haskell-cryptonite-conduit             0.2.2-71             0.2.2-72
                         haskell-dav             1.3.2-69             1.3.2-70
                   haskell-esqueleto    2.5.3.20180402-20    2.5.3.20180402-21
                        haskell-feed           1.0.0.0-70           1.0.0.0-71
                      haskell-hakyll          4.12.3.0-21          4.12.3.0-23
                 haskell-hjsonschema             1.9.0-26             1.9.0-27
                 haskell-hledger-lib             1.9.1-14             1.9.1-15
                    haskell-hopenpgp               2.7-21               2.7-22
                       haskell-hpack            0.28.2-23            0.28.2-24
                haskell-html-conduit             1.3.0-20             1.3.0-21
                        haskell-http          4000.3.12-3          4000.3.12-4
                haskell-http-conduit             2.3.1-22             2.3.1-23
                   haskell-js-jquery             3.3.1-73             3.3.1-74
                haskell-monad-logger          0.3.28.5-23          0.3.28.5-24
                    haskell-mustache             2.3.0-18             2.3.0-19
                  haskell-persistent             2.8.2-22             2.8.2-23
           haskell-persistent-sqlite           2.8.1.2-23           2.8.1.2-24
         haskell-persistent-template             2.5.4-47             2.5.4-48
            haskell-project-template           0.2.0.1-47           0.2.0.1-48
           haskell-regex-compat-tdfa          0.95.1.4-18          0.95.1.4-19
                  haskell-regex-tdfa              1.2.3-3            1.2.3.1-1
                       haskell-sandi             0.4.2-16             0.4.2-17
                         haskell-sbv                7.9-3                7.9-4
              haskell-servant-server          0.13.0.1-24          0.13.0.1-25
                       haskell-shake            0.16.4-36            0.16.4-37
             haskell-simple-sendfile            0.2.27-43            0.2.27-44
                       haskell-store          0.4.3.2-102          0.4.3.2-103
           haskell-tagstream-conduit          0.5.5.3-164          0.5.5.3-165
                   haskell-unixutils            1.54.1-42            1.54.1-43
              haskell-wai-app-static           3.1.6.2-46           3.1.6.2-47
                 haskell-wai-conduit           3.0.0.4-27           3.0.0.4-28
          haskell-wai-handler-launch           3.0.2.4-18           3.0.2.4-19
                        haskell-warp            3.2.22-26            3.2.22-27
                    haskell-warp-tls           3.2.4.3-31           3.2.4.3-32
                 haskell-xml-conduit             1.8.0-19             1.8.0-20
                  haskell-xml-hamlet             0.5.0-11             0.5.0-12
                        haskell-yaml            0.8.30-19            0.8.30-20
                       haskell-yesod             1.6.0-29             1.6.0-30
                  haskell-yesod-auth             1.6.3-29             1.6.3-30
                  haskell-yesod-core             1.6.5-26             1.6.5-27
               haskell-yesod-default            1.2.0-328            1.2.0-329
                  haskell-yesod-form             1.6.1-29             1.6.1-30
            haskell-yesod-persistent             1.6.0-29             1.6.0-30
                haskell-yesod-static             1.6.0-27             1.6.0-28
                  haskell-yesod-test             1.6.4-29             1.6.4-30
                           hedgewars          0.9.24.1-19          0.9.24.1-21
                             hindent             5.2.5-39             5.2.5-40
                             hledger             1.9.1-19             1.9.1-20
                         hledger-api             1.9.1-27             1.9.1-29
                          hledger-ui             1.9.1-21             1.9.1-22
                         hledger-web             1.9.2-30             1.9.2-32
                               hlint              2.1.6-2              2.1.6-3
                              hoogle          5.0.17.3-22          5.0.17.3-23
                      hopenpgp-tools            0.21.1-15            0.21.1-16
                               idris             1.3.0-13             1.3.0-14
                             kbibtex           1:0.7.95-1            1:0.8.1-1
                    otf-font-awesome             5.0.13-1              5.1.0-1
                              pandoc             2.2.1-38             2.2.1-39
                     pandoc-citeproc          0.14.3.1-47          0.14.3.1-48
                     pandoc-crossref            0.3.2.1-1            0.3.2.1-2
                          phpmyadmin              4.8.1-1              4.8.2-1
    plasma5-applets-redshift-control             1.0.18-1             1.0.18-2
                           postgrest          0.4.4.0-167          0.4.4.0-169
                  python-deprecation              2.0.3-1              2.0.4-1
                 python-pycryptodome              3.6.2-1              3.6.3-1
                python-pytest-django              3.3.0-1              3.3.2-1
                        python-pywal              3.0.1-1              3.1.0-1
                        python-regex         2018.06.20-1         2018.06.21-1
                 python2-deprecation              2.0.3-1              2.0.4-1
                python2-pycryptodome              3.6.2-1              3.6.3-1
               python2-pytest-django              3.3.0-1              3.3.2-1
                       python2-regex         2018.06.20-1         2018.06.21-1
                                qgit                2.7-2                2.8-1
                         qutebrowser              1.3.2-1              1.3.3-1
                                rust           1:1.26.2-1           1:1.27.0-1
                           rust-docs           1:1.26.2-1           1:1.27.0-1
                          shellcheck             0.5.0-13             0.5.0-15
                              snes9x             1.56.1-1             1.56.2-1
                          snes9x-gtk             1.56.1-1             1.56.2-1
                               stack             1.7.1-33             1.7.1-34
                     stylish-haskell           0.9.2.0-16           0.9.2.0-17
                      tamarin-prover             1.4.0-35             1.4.0-36
                    ttf-font-awesome             5.0.13-1              5.1.0-1
                             unbound              1.7.2-1              1.7.3-1
                              xmobar              0.26-34              0.26-35


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-06-21           2018-06-22
-------------------------------------------------------------------------------
                          libsystemd            238.133-1              239.0-1
                      pacman-mirrors             4.10.1-3             4.11.0-1
                             systemd            238.133-1              239.0-1
                  systemd-sysvcompat            238.133-1              239.0-1
                  systemd-resolvconf                    -              239.0-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-06-21           2018-06-22
-------------------------------------------------------------------------------
                          cifs-utils                6.7-2                6.8-1
                              convmv               2.04-1               2.05-1
                                cups              2.2.7-2              2.2.8-3
                            efitools   1.7.0.5.g0649468-1              1.8.1-1
                                gimp             2.10.2-1             2.10.2-2
                                 git             2.17.1-1             2.18.0-1
                         kexec-tools             2.0.15-1             2.0.17-1
                                 ldb              1.3.3-1              1.4.0-1
                             libcups              2.2.7-2              2.2.8-3
                            libinput             1.11.1-1             1.11.1-2
                   libva-mesa-driver             18.1.1-1             18.1.2-1
                         libwbclient              4.8.2-1              4.8.2-2
                                mesa             18.1.1-1             18.1.2-1
                          mesa-vdpau             18.1.1-1             18.1.2-1
                         opencl-mesa             18.1.1-1             18.1.2-1
                               samba              4.8.2-1              4.8.2-2
                         sbsigntools                0.8-2              0.9.1-1
                           smbclient              4.8.2-1              4.8.2-2
                        vulkan-intel             18.1.1-1             18.1.2-1
                       vulkan-radeon             18.1.1-1             18.1.2-1
                               xaw3d              1.6.2-3              1.6.3-1
                    xf86-input-mouse              1.9.2-3              1.9.3-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-06-21           2018-06-22
-------------------------------------------------------------------------------
             lib32-libva-mesa-driver             18.1.2-0                    -
                          lib32-mesa             18.1.2-0                    -
                    lib32-mesa-vdpau             18.1.2-0                    -
                       lib32-systemd            238.133-1              239.0-1
                  lib32-vulkan-intel             18.1.2-0                    -
                 lib32-vulkan-radeon             18.1.2-0                    -


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-06-21           2018-06-22
-------------------------------------------------------------------------------
             lib32-libva-mesa-driver             18.0.4-2             18.1.2-1
                          lib32-mesa             18.0.4-2             18.1.2-1
                    lib32-mesa-vdpau             18.0.4-2             18.1.2-1
                          lib32-rust             1.26.2-1             1.27.0-1
                  lib32-vulkan-intel             18.0.4-2             18.1.2-1
                 lib32-vulkan-radeon             18.0.4-2             18.1.2-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Ready for Stable ?!?

  • We are ready to move this to our stable branch
  • I still see some issues (post about them)

0 voters


Network Manager WiFi problem reloaded
#2

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. You have to merge properly (some lines related to “GSettings” in /etc/pulse/default.pa )

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


Items from previous update sets

Kernel 4.9 issues

Seems on rare conditions you may face a faulty boot with linux49. It results in messages similar like this: <module> likely not compiled with -mcmodel=kernel. Also you will land in the emergency console.

We recommend to install at least another kernel as backup. You may follow this post to recover. v4.9.107-2 is known to be working.


:: alpm-octopi-utils: installing “pacman” (5.1.0-2) breaks the dependency with «pacman <5.1»

Make sure your mirrors are up-to-date. All package management tools should be compatible with pacman 5.1


:: ffmpeg2.8: installing x265 (2.8-1) breaks dependency ‘libx265.so=151-64’

ffmpeg2.8 is no longer in the repos. Remove it, and if you need it, rebuild/reinstall it from the AUR.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension “Workspace to Dock” is bugged

Be careful like there is a bug if you use the Extension “Workspace to Dock”. You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file’s syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name “Everyone” to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There’s a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.


#3

Here is the current list of all changes since 2018-06-10.


#4

also here, so far so good (-:


#5
Packages (25) adapta-maia-theme-3.93.1.22-1  cifs-utils-6.8-1  cups-2.2.8-3  firefox-developer-edition-62.0b2-1  firefox-developer-edition-i18n-en-us-62.0b2-1
              firefox-developer-edition-i18n-ko-62.0b2-1  gimp-2.10.2-2  git-2.18.0-1  inxi-3.0.12-1  ldb-1.4.0-1  lib32-mesa-18.1.2-1  lib32-systemd-239.0-1  libcups-2.2.8-3
              libde265-1.0.3-1  libheif-1.3.2-1  libsystemd-239.0-1  libwbclient-4.8.2-2  lmdb-0.9.22-1  mesa-18.1.2-1  pacman-mirrors-4.11.0-1  samba-4.8.2-2  smbclient-4.8.2-2
              systemd-239.0-1  systemd-sysvcompat-239.0-1  xf86-input-mouse-1.9.3-1

...
( 1/16) Updating linux414 initcpios...

( 2/16) Updating linux416 initcpios...

( 3/16) Updating linux417 initcpios...

There was no kernel updates. Why did mkinitcpio remake all my initramfs images?


#6

SystemD update.


#7

Trouble-free update process again, but ongoing minor issues as per [Testing Update] 2018-06-21 - Kernels, KDE, QT 5.11.1, Breath Theme


#8

This time I had a weird crash of cinnamon / firefox a few minutes after booting into the updated system. Dont know what caused it. May be related to this one here. Plenty of new NVIDIA errors:

Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (EE) NVIDIA(0): The NVIDIA X driver has encountered an error; attempting to
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (EE) NVIDIA(0):     recover...
Jun 23 08:59:37 rakete kernel: NVRM: Xid (PCI:0000:01:00): 13, Graphics Exception:  EXTRA_INLINE_DATA
Jun 23 08:59:37 rakete kernel: NVRM: Xid (PCI:0000:01:00): 13, Graphics Exception: ESR 0x404600=0x80000001
Jun 23 08:59:37 rakete kernel: NVRM: Xid (PCI:0000:01:00): 13, Graphics Exception: ChID 0008, Class 0000c197, Offset 000001b4, Data 80010204
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0): Error recovery was successful.

And finally this info:

Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0): Error recovery was successful.
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0): Setting mode "DFP-0:nvidia-auto-select"
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0): ACPI: failed to connect to the ACPI event daemon; the daemon
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0):     may not be running or the "AcpidSocketPath" X
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0):     configuration option may not be set correctly.  When the
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0):     ACPI event daemon is available, the NVIDIA X driver will
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0):     try to use it to receive ACPI event notifications.  For
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0):     details, please see the "ConnectToAcpid" and
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0):     "AcpidSocketPath" X configuration options in Appendix B: X
Jun 23 08:59:37 rakete /usr/lib/gdm-x-session[3392]: (II) NVIDIA(0):     Config Options in the README.

I checked acpi service and it was disabled. I enabled it, rebooted and the messages are gone.

Other than that the update went fine: linux417+cinnamon+nvidia+zfs


#9

For me with my i3/xfce I could vote for a go to stable, but after all I read the last days on KDE I don’t dare. I think this time the Plasma-users should vote on this.


#10

cnf-lookup reports error libboost not found as boost was upgraded to new version recently.
So cmd-not-found package has to be rebuilt.


#11

This new mesa build still has problems with Radeon, so another downgrade is due. Other than that, everything works great.

Thank you Manjaro team.


#12

What problems did you have with radeon exactly?
I have encountered a fatal problem once that causes loss of display after logged in to the DE when testing out the unstable branch last week so I have to switch back to testing branch and do an extensive downgrade including mesa and xorg-server. After that everything is working as usual until now.
Maybe I’ll skip this one too.


#13

Steam crashes on startup, Playonlinux complains about libraries and games won’t work, among other things. Anything that makes use of mesa 32bit opengl libraries is screwed I think. Fortunately Mesa 18.0.4 still works for the time being.

Xorg 1.20 also brings many problems for me. First versions wouldn’t even log in to DE. Later ones they do, but with many graphical glitches and lots of errors in kernel log. But that is another matter.


#14

It’s “systemd”

Yes, it is written systemd, not system D or System D, or even SystemD. And it isn’t system d either.
Source: https://wiki.freedesktop.org/www/Software/systemd/
:joy:

Systemd-resolved works just fine for me


#15

systemd-resolve :wink:

I love zsh
➜  ~ systemd-
completing external command
systemd-analyze                 systemd-detect-virt             systemd-mount                   systemd-socket-activate       
systemd-ask-password            systemd-escape                  systemd-notify                  systemd-stdio-bridge          
systemd-cat                     systemd-firstboot               systemd-nspawn                  systemd-sysusers              
systemd-cgls                    systemd-hwdb                    systemd-path                    systemd-tmpfiles              
systemd-cgtop                   systemd-inhibit                 systemd-resolve                 systemd-tty-ask-password-agent
systemd-delta                   systemd-machine-id-setup        systemd-run                     systemd-umount

:smiley:


#16

systemd-resolved :grin:


#17

You forgot the period at the end of your sentences. Shame on you.


#18

After update PulseAudio, Pavucontrol only show message “Establishing connection with PulseAudio. Please wait…”. Then I remove all files on folder ~/.config/pulse and ~/.pulse. Restart… Pavucontrol come back to normal.


[Testing Update] 2018-06-25 - Mesa, Openbox, QT, Gitlab, Timeshift, PacUI
#19

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.